Permalink
Browse files

Use a gemset in each ruby version to run the specs

  • Loading branch information...
1 parent af2ba60 commit 9b9a4a301b6395ddd63171c99ca002d84bfcc9a2 @Maher4Ever committed Nov 30, 2011
Showing with 2 additions and 2 deletions.
  1. +1 −1 Guardfile
  2. +1 −1 Rakefile
View
2 Guardfile
@@ -1,4 +1,4 @@
-guard 'rspec', :version => 2, :rvm => ['1.8.7', '1.9.3'] do
+guard 'rspec', :version => 2, :rvm => ['1.8.7@guard-phpunit', '1.9.3@guard-phpunit'] do
watch('spec/spec_helper.rb') { 'spec' }
watch(%r{^spec/.+_spec\.rb})
watch(%r{^lib/(.+)\.rb}) { |m| "spec/#{m[1]}_spec.rb" }
View
2 Rakefile
@@ -8,7 +8,7 @@ task :default => :spec
namespace(:spec) do
desc 'Run all specs on multiple ruby versions (requires rvm)'
task(:portability) do
- %w[1.8.7 1.9.2 1.9.3].each do |version|
+ %w[1.8.7@guard-phpunit 1.9.2@guard-phpunit 1.9.3@guard-phpunit].each do |version|
system <<-BASH
bash -c 'source ~/.rvm/scripts/rvm;
rvm #{version};

0 comments on commit 9b9a4a3

Please sign in to comment.